Subject: bug#38647: 26.3; image-next-file does not consider archived images

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Aug 2020 02:50:20 +0300

>> Maybe when not requested, such Dired buffer should be killed afterwards,
>> or its name should start with a space.
>
> Hm...  But what is "afterwards"?  Just leaving the image mode buffer?

I thought that after every typing of `n'.

> Perhaps we can just make this all less surprising, and still have the
> functionality, by just notifying the user.  (Or query?)  That is, if you
> `n' in an image-mode buffer, and there's no dired (etc) buffer parent,
> then just message "Opened dired buffer for <dir>" when doing so?
> And...  bury it?  Or not?

Or optionally pop up a new Dired buffer on image navigation.
Or use commands from image-dired.el.  So many options...